Opened 9 years ago

Last modified 5 years ago

#10831 needs_work enhancement

Make python support SAGE_SPKG_INSTALL_DOCS — at Version 1

Reported by: jason Owned by: tbd
Priority: major Milestone: sage-6.4
Component: packages: standard Keywords:
Cc: Merged in:
Authors: Jason Grout Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Description (last modified by jason)

This is a bit tricky since we need sphinx and other things installed before we can build the docs, but sphinx and the other things depend on python. To resolve this circular dependency, we try to import sphinx. If we can't import sphinx, then we exit without error with a message that you should install sphinx and related tools first and then try building the docs again. This means that in order to use the environment variable, you have to install the python spkg twice, since we don't have an option to just build docs without building python. But maybe that's worth it for someone that just wants the python docs.

The new spkg is here: http://sage.math.washington.edu/home/jason/python-2.6.4.p10.spkg

Change History (1)

comment:1 Changed 9 years ago by jason

  • Description modified (diff)
  • Status changed from new to needs_review
Note: See TracTickets for help on using tickets.